package com.foreverwin.mesnac.common.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.mesnac.common.model.Tool;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 * 工具表 服务类
 * </p>
 *
 * @author pavel.liu
 * @since 2021-07-14
 */
public interface ToolService extends IService<Tool> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Tool> selectPage(FrontPage<Tool> frontPage, Tool tool);

    List<Tool> selectList(Tool tool);

    /**
     * 新增或更新
     * @param tool
     */
    void saveOrUpdateOne(Tool tool);

    /**
     * 根据编号，查询刀具
     * @param tool
     * @return
     */
    Tool getOneToolByToolNo(Tool tool);

    /**
     * 删除刀具：
     *  仅将状态进行修改，不会删除数据
     */
    void deleteInspectionPlanByHandle(String tool);

    /**
     * 插入或更新导入的刀具数据
     * sqlType：
     * 1、update
     * 2、insert
     * 3、both
     * @param jsonObject
     * @param sqlType
     */
    String saveOrUpdateToolByImport(JSONObject jsonObject, String sqlType);


}